/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.officelicense.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

/**
 * 企业证照Entity
 * @author lw
 * @version 2018-08-14
 */
public class OfficeLicense extends DataEntity<OfficeLicense> {
	//附件112   //编号模板26
	public static final String SERIAL_BIZCODE = "26";
	private static final long serialVersionUID = 1L;
	private String companyName;		// 公司名称
	private String num;		// 编号
	private Date uploadDate;		// 上传时间
	private Office office;		// 企业外键
	private String name;		// 证照名称
	private String isChapter;		// 是否电子章
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList(); //附件
	private String companyId;  //公司ID
	//临时属性
	private String url;
	private String uName;
	public OfficeLicense() {
		super();
	}

	public OfficeLicense(String id){
		super(id);
	}

	@ExcelField(title="公司名称", align=2, sort=7)
	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	@ExcelField(title="编号", align=2, sort=8)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="上传时间", align=2, sort=9)
	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getuName() {
		return uName;
	}

	public void setuName(String uName) {
		this.uName = uName;
	}

	@ExcelField(title="证照名称", align=2, sort=11)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="是否电子章", align=2, sort=12)
	public String getIsChapter() {
		return isChapter;
	}

	public void setIsChapter(String isChapter) {
		this.isChapter = isChapter;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
}